Ubuntu VMWare guest won't show UI after upgrading to 4.2.0-30.35, 3.19.0-51.57, 3.16.0-62.82

Bug #1548587 reported by Francis Chuang on 2016-02-23
308
This bug affects 69 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Kamal Mostafa
Vivid
High
Kamal Mostafa
Wily
High
Kamal Mostafa
linux-lts-utopic (Ubuntu)
High
Kamal Mostafa
Trusty
High
Kamal Mostafa
linux-lts-vivid (Ubuntu)
High
Kamal Mostafa
Trusty
High
Kamal Mostafa
linux-lts-wily (Ubuntu)
High
Kamal Mostafa
Trusty
High
Kamal Mostafa

Bug Description

I installed a fresh copy of Ubuntu 15.10 64-bit as a guest VM in VMWare Workstation 12.1.0.

After installation, I am able to log into the system. I then ran the updater application to install the latest updates.

After installing the updates and restarting, the system no longer shows any UI after booting. I am now faced with a black screen and a dash that does not blink. The system also does not respond to any inputs.

I was able to get back into my system by holding shift to show the GRUB menu and boot using the 4.2.16 kernel.

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1548587

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

I am unable to install the apport-collect package as it's impossible to get into tty1. In addition, booting to recovery mode and dropping into shell only gave me a read-only filesystem.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Francis Chuang (francis-chuang) wrote :

After some testing, I noticed that it installs and updates to 4.2.0-30 and works correctly in VirtualBox 5.0.14 with the VirtualBox extensions installed.

I am now suspecting that the issue is due to some conflict with the VMWare tools.

summary: - Ubuntu 15.10 VM won't show UI after upgrading to 4.2.0-30
+ Ubuntu 15.10 VMWare guest won't show UI after upgrading to 4.2.0-30

I'm experiencing the same issue with and without vmware-tools and also with and without open-vm-tools.

Tried to enable/disable 3D accelaration - no success.

Kubuntu 15.10 with the latest kernel (4.2.0-30) shows just black screen after reboot.

jone (jone46) wrote :

I have exactly the same issue.

tags: added: apport-collected wily

ApportVersion: 2.19.1-0ubuntu5
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path', '/dev/snd/midiC0D0', '/dev/snd/pcmC0D1p', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/controlC0', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
DistroRelease: Ubuntu 15.10
HibernationDevice: RESUME=UUID=5743f1a7-f815-48de-b708-d0c8bf6b9254
InstallationDate: Installed on 2016-02-23 (0 days ago)
InstallationMedia: Xubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
IwConfig:
 eno16777736 no wireless extensions.

 lo no wireless extensions.
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 003: ID 0e0f:0002 VMware, Inc. Virtual USB Hub
 Bus 002 Device 002: ID 0e0f:0003 VMware, Inc. Virtual Mouse
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: VMware, Inc. VMware Virtual Platform
Package: linux (not installed)
ProcFB: 0 svgadrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-30-generic root=UUID=a39ebdaf-d4fe-45b9-9b64-4f80499affe8 ro find_preseed=/preseed.cfg auto noprompt priority=critical locale=en_US quiet
ProcVersionSignature: Ubuntu 4.2.0-30.35-generic 4.2.8-ckt3
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-4.2.0-30-generic N/A
 linux-backports-modules-4.2.0-30-generic N/A
 linux-firmware 1.149.3
RfKill:

Tags: wily
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
Uname: Linux 4.2.0-30-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 07/02/2015
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: 6.00
dmi.board.name: 440BX Desktop Reference Platform
dmi.board.vendor: Intel Corporation
dmi.board.version: None
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 1
dmi.chassis.vendor: No Enclosure
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvr6.00:bd07/02/2015:svnVMware,Inc.:pnVMwareVirtualPlatform:pvrNone:rvnIntelCorporation:rn440BXDesktopReferencePlatform:rvrNone:cvnNoEnclosure:ct1:cvrN/A:
dmi.product.name: VMware Virtual Platform
dmi.product.version: None
dmi.sys.vendor: VMware, Inc.

jone (jone46) wrote : AlsaInfo.txt

apport information

jone (jone46) wrote : CRDA.txt

apport information

apport information

apport information

jone (jone46) wrote : Lspci.txt

apport information

apport information

apport information

apport information

apport information

jone (jone46) wrote : UdevDb.txt

apport information

jone (jone46) wrote : WifiSyslog.txt

apport information

I've just installed the update on 5 VMs and none of them would boot.

I've interrupted boot (by holding the Shift key whilst powering on the VM) to bring up the Grub menu (it took several attempts to get it), selected "Advanced options for Ubuntu", highlighted the previous kernel ("Ubuntu, with Linux 4.2.0-27-generic"), and booted.

Once the system came back up I logged in and did:

apt-get --purge remove linux-image-4.2.0-30-generic linux-image-extra-4.2.0-30-generic

My VM(s) will now reboot.

Looks like the new kernel is broke.

I'm running VMware Workstation Pro 12.1.0 build-3272444 on Windows 7 64-bit and my VMs are using open-vm-tools.

maralf (maralf) wrote :

same with me

i5, nvidia gtx950
host: windows 7 ultimate
Vmware Player 12.1.0
guest: Mate 15.10

can't even reach GRUB menu

if this is helpful:

I can access my files from Windows (network adapter in bridged mode, samba)

I have experienced the same dreadful situation -- after a routine update the virtual machine was no longer able to reach the login screen. If it helps, I can tell that the system had actually booted all right, since I was able to SSH into the VM and run apt-get -y purge to remove the kernel 4.2.0-30; as far as I can tell it was just the GUI which did not start.

Windows 7 host, VMware Workstation 11 and Player 7.1.3, Ubuntu 15.10 guest.

James Simas (j-simas) wrote :

I'm experiencing this same issue.

After running Ubuntu Gnome's Software Updater and rebooting this morning, the OS would no longer boot. Holding shift during boot and picking an older kernel (4.2.0-27-generic) allows the OS to boot. Picking 4.2.0-30-generic on boot reproduces the problem again.

As a test, I performed a fresh installation of Ubuntu Gnome 15.10. It booted fine using 4.2.0-16, but after updating to 4.2.0-30-generic again it stopped booting.

Using VMware Workstation Pro version 12.1.0 build-3272444 on Windows 7 Enterprise SP 1 64-bit.

FWIW, as a workaround, I've used Grub Customizer and chose 4.2.0-27 as my default kernel for now.

Aleangelico (aleangelico) wrote :

I have the same problem.
Host: Windows 10
VMWare Workstation 11.0
Distro: Ubuntu Mate 15.1 Mate 1.10.2

It boots if selecting Kernel 4.2.0-27, but it does not work if selection Kernel 4.2.0-30 in Grub boot screen.

I am having this exact issue. Booting into prior kernel 4.2.0-27-generic allows my machine to boot properly again.

Windows 7, VMware 12.1.0 build-3272444, open-vm-tools 2:9.10.2-2822639-1ubuntu3

Joseph Salisbury (jsalisbury) wrote :

I'd like to perform a kernel bisect to figure out which commit caused this regression. We need to identify the earliest kernel that did not exhibit the bug and the first kernel that did exhibit the bug.

Can you test the following kernels and post back?

http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.8-ckt1-wily/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.8-ckt2-wily/
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.8-ckt3-wily/

You don't have to test every kernel, just up until the first kernel that has this bug.

Thanks in advance!

Changed in linux (Ubuntu):
importance: Undecided → High
Changed in linux (Ubuntu Wily):
importance: Undecided → High
status: New → Incomplete
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: performing-bisect
David Poole (testcluster) wrote :

Fresh install of 15.10. Ran 'apt-get update' then 'apt-get upgrade' Did NOT accept the newest kernel. Reboot.

Download/install chk1 from above link. Works.

$ uname -a
Linux dahlcorporation 4.2.8-040208ckt1-generic #201601081730 SMP Fri Jan 8 22:33:00 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Getting the ckt2 and chkt2.

David Poole (testcluster) wrote :

ckt2 doesn't boot for me. ckt1 did.

R P (rudolph+ubuntu1) wrote :

Seeing the same thing here, ckt1 works, ckt2 doesn't

Kamal Mostafa (kamalmostafa) wrote :

I'm working on the premise that everyone here is running Ubuntu as a VMWare guest (if that's not the case, please speak up).

Thanks David Poole and RP for confirming that the problem first appeared in the -ckt2 kernel. I'd like to have you try -ckt4 also (it contains additional vmware-graphics fixes):

http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.8-ckt4-wily/

We'll continue researching other possible solutions in parallel in case -ckt4 doesn't help.

Changed in linux (Ubuntu Wily):
assignee: nobody → Kamal Mostafa (kamalmostafa)
status: Incomplete → In Progress
Changed in linux (Ubuntu):
status: Incomplete → In Progress
assignee: nobody → Kamal Mostafa (kamalmostafa)
Download full text (4.3 KiB)

I have installed linux-headers-4.2.8-040208ckt4 and linux-image-4.2.8-040208ckt4 from http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2.8-ckt4-wily/ as requested; the new kernel behaved just like the ill-fated 4.2.0-30, that is, the VM booted but did not reach the login screen. The last entries in /var/log/syslog were:

Feb 24 05:05:42 fictissa whoopsie[856]: [05:05:42] online
Feb 24 05:05:42 fictissa dbus[827]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Feb 24 05:05:42 fictissa systemd[1]: Started Network Manager Script Dispatcher Service.
Feb 24 05:05:42 fictissa nm-dispatcher: Dispatching action 'up' for eno16780032
Feb 24 05:05:42 fictissa systemd[1]: Reloading OpenBSD Secure Shell server.
Feb 24 05:05:42 fictissa systemd[1]: Reloaded OpenBSD Secure Shell server.
Feb 24 05:05:42 fictissa avahi-daemon[820]: Invalid response packet from host 192.168.2.2.
Feb 24 05:05:42 fictissa systemd[1]: Reloading OpenBSD Secure Shell server.
Feb 24 05:05:42 fictissa systemd[1]: Reloaded OpenBSD Secure Shell server.
Feb 24 05:05:43 fictissa ntpd[951]: Listen normally on 4 eno16780032 192.168.2.136 UDP 123
Feb 24 05:05:43 fictissa ntpd[951]: Listen normally on 5 eno16780032 fe80::250:56ff:fe30:1caa UDP 123
Feb 24 05:05:43 fictissa ntpd[951]: peers refreshed
Feb 24 05:05:43 fictissa ntpd[951]: new interface(s) found: waking up resolver
Feb 24 05:05:43 fictissa gpu-manager[853]: update-alternatives: error: no alternatives for x86_64-linux-gnu_gfxcore_conf
Feb 24 05:05:43 fictissa systemd[1]: Started Detect the available GPUs and deal with any system changes.
Feb 24 05:05:43 fictissa systemd[1]: Starting Light Display Manager...
Feb 24 05:05:43 fictissa nmbd[917]: * Starting NetBIOS name server nmbd
Feb 24 05:05:43 fictissa nmbd[917]: ...done.
Feb 24 05:05:43 fictissa systemd[1]: Started LSB: start Samba NetBIOS nameserver (nmbd).
Feb 24 05:05:43 fictissa systemd[1]: Starting LSB: start Samba SMB/CIFS daemon (smbd)...
Feb 24 05:05:43 fictissa systemd[1]: Started Light Display Manager.
Feb 24 05:05:43 fictissa smbd[1241]: * Starting SMB/CIFS daemon smbd
Feb 24 05:05:43 fictissa smbd[1241]: ...done.
Feb 24 05:05:43 fictissa systemd[1]: Started LSB: start Samba SMB/CIFS daemon (smbd).
Feb 24 05:05:44 fictissa avahi-daemon[820]: Invalid response packet from host 192.168.2.2.
Feb 24 05:05:44 fictissa NetworkManager[849]: <info> startup complete
Feb 24 05:05:45 fictissa ntpd_intres[956]: DNS 0.ubuntu.pool.ntp.org -> 80.96.120.252
Feb 24 05:05:45 fictissa ntpd_intres[956]: DNS 1.ubuntu.pool.ntp.org -> 92.86.106.228
Feb 24 05:05:45 fictissa ntpd_intres[956]: DNS 2.ubuntu.pool.ntp.org -> 82.78.227.6
Feb 24 05:05:45 fictissa ntpd_intres[956]: DNS 3.ubuntu.pool.ntp.org -> 89.40.65.2
Feb 24 05:05:45 fictissa ntpd_intres[956]: DNS ntp.ubuntu.com -> 91.189.89.199
Feb 24 05:05:48 fictissa avahi-daemon[820]: Invalid response packet from host 192.168.2.2.
Feb 24 05:05:49 fictissa NetworkManager[849]: <info> WiFi hardware radio set enabled
Feb 24 05:05:49 fictissa NetworkManager[849]: <info> WWAN hardware radio set enabled
Feb 24 05:05:56 fictissa avahi-daemon[820]: Invalid response packet from host 192.168.2.2.
Feb 24 05:06:44 fictissa avahi-...

Read more...

David Poole (testcluster) wrote :

ckt4 also fails to get to login screen for me. Can ssh into the vm.

Kamal Mostafa (kamalmostafa) wrote :

(Thanks David and Alexandru ,for verifying that -ckt4 doesn't help.)

I've prepared a new test kernel: http://kernel.ubuntu.com/~kamal/lp1548587.1/
(For reference this is v4.2.0-30.35 with fc93712 "drm: Fix an unwanted master inheritance v2" reverted).

Please test!

David Poole (testcluster) wrote :

via ssh

davep@dahlcorporation:~% uname -a
Linux dahlcorporation 4.2.0-30-generic #35+lp1548587~kamal1 SMP Wed Feb 24 15:55:20 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

I'm still not getting to the login screen. Are there any logs that would be helpful?

Kamal Mostafa (kamalmostafa) wrote :

Another new test kernel: http://kernel.ubuntu.com/~kamal/lp1548587.2/
(For reference this is v4.2.0-30.35 with 24ea965 "drm/ttm: Fixed a read/write lock imbalance" reverted)

Please test!

BloodyMery (bloodymery) wrote :

This last one for me it worked. I can log in now.

David Poole (testcluster) wrote :

via ssh.

davep@dahlcorporation:log% uname -a
Linux dahlcorporation 4.2.8-040208ckt4-generic #201602091331 SMP Tue Feb 9 18:33:36 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Still not getting to login screen. Have emailed you the logfiles you requested.

David Poole (testcluster) wrote :

davep@dahlcorporation:~% uname -a
Linux dahlcorporation 4.2.0-30-generic #35+lp1548587~kamal2 SMP Wed Feb 24 17:26:10 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Works! (My previous comment is wrong kernel, not the one you requested.)

Sending you the logfiles.

Kamal Mostafa (kamalmostafa) wrote :

Very good news! Thanks for your testing David.

I'd like additional confirmations that this kernel ("kamal2") does fix the problem:

http://kernel.ubuntu.com/~kamal/lp1548587.2/

Joe Krause (d-joe-a) wrote :

Confirmed! I am able to install this kernel and reboot my system correctly into Gnome.

jkrause@ubuntu:~$ uname -a
Linux ubuntu 4.2.0-30-generic #35+lp1548587~kamal2 SMP Wed Feb 24 17:26:10 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Versions: 15.10 & 14.04
VMWare Fusion: 8.1.0 (3272237)
Mac OS: 10.10.5

However, I am experiencing a new issue now. Upon first reboot, VMWare resized my host OS window to 8000x3200. This happened with both 15.10 and 14.04.

15.10 had the latest Open VM Tools installed and 14.04 had NO version of Open VM Tools or proprietary VMWare Tools. It seems like this kernel build disregarded my previously set resolution.

In both cases, I was able to change my resolution back to its correct value and reboot with no issues.

Joe Krause (d-joe-a) wrote :

I hope this helps. I was trying to figure out why the resolution hiccups when I install linux-image-4.2.0-30-generic_4.2.0-30.35+lp1548587~kamal2_amd64.deb but what I think I have demonstrated is that the original bug (GUI not displaying) is due to the package: linux-image-extra-4.2.0-30-generic

Step #1
When I confirmed Kamal's kernel image, I had installed it into VMs where I had previously upgraded to 4.2.0-30 but subsequently uninstalled both linux-image-4.2.0-30 and linux-image-extra-4.2.0-30-generic like so:
sudo apt-get --purge removelinux-image-4.2.0-30 linux-image-extra-4.2.0-30-generic

I was running linux-image-4.2.0-30-generic_4.2.0-30.35+lp1548587~kamal2 along side linux-image-extra-4.2.0-27-generic and that fixed the original bug with the GUI not displaying, but caused an incidental bug where the VMWare window was resized to 8000x3200.

Step #2
I only installed half of Kamal's fix, so this time I installed a new VM with 15.10, upgraded it to 4.2.0-30, verified GUI not displaying, and then installed both the linux-image and linux-image-extra from Kamal's fix. Sure enough, the GUI displaying bug was fixed and the resolution did not tweak out like when there was a version mismatch.

Step #3
This time I installed a new VM with 15.10, upgraded to 4.20-30, verified the bug, and then only installed Kamal's image fix (not the extras package). That means I was running: linux-image-4.2.0-30-generic_4.2.0-30.35+lp1548587~kamal2 with linux-image-extra-4.2.0-30-generic. This time I still had the GUI not displaying issue - but with Kamal's new kernel image. Now I am starting to think the issue is with the linux-image-extra-4.2.0-30-generic . I advanced it to Kamal's version (linux-image-extra-4.2.0-30-generic_4.2.0-30.35+lp1548587~kamal2) and it worked! I rolled it all the way back to linux-image-extra-4.2.0-16-generic and it worked! Its only when the package is linux-image-extra-4.2.0-30-generic that it doesn't work. Again, I noticed that the resolution issue only happens when the linux-image and linux-image-extra versions are mismatched.

Step #4
To be as anal as possible, I setup a new VM and decided to try linux-image-4.2.0-30-generic with a rolled back linux-image-extra. Viola, it worked! However, due to version mismatch, the resolution issue appeared.

TL;DR (Conclusions)
linux-image-4.2.0-30-generic works with linux-image-extra-4.2.0-27-generic and linux-image-extra-4.2.0-16-generic but not with
linux-image-extra-4.2.0-30-generic

The resolution issue is really a non issue because it only happens when I use packages from different versions.

Kamal, maybe you don't want to undo the changes made in the linux-image package between 4.2.0-27 and 4.2.0-30 if the bug can be completely localized to linux-image-extra.

I also have trouble with the 4.2.0-30 kernel, but I am not running Ubuntu as VMWare - just directly on my laptop.
- it freezes about 40 seconds after login screen (whether I login or not), I can only work around this by using 4.2.0-27 kernel.

Markus (marwir) wrote :

I have a very similar problem on my Laptop running Xubuntu too.
So no VMWare. Just normal Xubuntu running directly on the laptop.

After updating to kernel 4.2.0.30, my laptop would still start to the login screen.
Everything seemed to be working fine on the login screen.
Even remote access via ssh was still possible.
But almost everything you can try to do on the login screen freezes the system.

Trying to login. -> Freezes as soon as the login screen has disappeared.
Trying to reboot. -> Freezes
Trying to switch to tty1 -> Freezes

Trying to reboot by typing "reboot" on an ssh-shell -> Logs me out from the shell and freezes the system.

At first I had suspected the graphics drivers as I have the oibaf-ppa with current mesa-drivers installed.
But selecting kernel 4.2.0.27 from grub solved the problem for me.

Clouseau219 (s-6ail-s) wrote :

Hi,

I know it's a 15.10/4.2.0 thread, but I have the same problem with 14.04 LTS and 3.16.0-62 kernel in vmware. 3.16.0-60 is the last that worked. Should I open a new bug report? If yes, what data should I send? But I'm a Linux noob so be patient :)

Clouseau219 (s-6ail-s) on 2016-02-25
Changed in trusty (Ubuntu):
status: New → Invalid
Changed in trusty (Ubuntu Wily):
status: New → Invalid
Alex Maguran (amaguran) wrote :

Hi,

After updating to kernel 4.2.0.30 it freezes after login or in the login screen if I wait for a few seconds.
I have Ubuntu 14.04.4 on HP Elitebook 850 G1 (AMD card).
I rolled back to kernel 4.2.0.27 and the problem is gone.

Thanks.

Hi.

I am having the same problem as amaguran on an HP Envy 14 (2010) after upgrading to 4.2.0-30 on Ubuntu 14.04. The vivid branch of the kernel works fine though.

Kamal Mostafa (kamalmostafa) wrote :

*** ATTENTION BUG REPORTERS ***

This bug report (#1548587) will ONLY be used to track the problem relating to "VMWare won't show UI"!

  - If you're experiencing a problem but you're not running under VMWare, please file a separate bug.
  - We have identified the cause of the problem, and are working on a fix.
  - Additional log files and "me too" reports aren't needed at this time.
  - We're aware that this may also affect versions besides 15.10 -- we'll deploy the fix for all potentially affected versions.

Kamal Mostafa (kamalmostafa) wrote :

I've prepared a new pre-release kernel ("kamal3") for this issue:

http://kernel.ubuntu.com/~kamal/lp1548587.3/

For reference, this is v4.2.0-30.35 plus 1261797 "drm/vmwgfx: Fix an fb unlocking bug".

This fix will be deployed in all affected official Ubuntu kernels soon.

Joe Krause (d-joe-a) wrote :

Works!

http://kernel.ubuntu.com/~kamal/lp1548587.3/

Versions: 15.10
VMWare Fusion: 8.1.0 (3272237)
Mac OS: 10.10.5

Andy Whitcroft (apw) on 2016-02-25
affects: trusty (Ubuntu) → linux-lts-wily (Ubuntu)
Changed in linux-lts-wily (Ubuntu Trusty):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Kamal Mostafa (kamalmostafa)
Changed in linux (Ubuntu Trusty):
status: New → Invalid
Matt Pangaro (mattp) wrote :

Adding another environment to successful reports for http://kernel.ubuntu.com/~kamal/lp1548587.3/

Release: 15.10
VMWare Fusion: Professional Version 8.1.0 (3272237)
OSX: 10.11.3
uname -a: Linux ubuntu 4.2.0-30-generic #35+lp1548587~kamal3 SMP Thu Feb 25 16:37:06 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Kamal Mostafa (kamalmostafa) wrote :

The fix for this issue is in the pipeline, scheduled for release tomorrow.

Changed in linux (Ubuntu Wily):
status: In Progress → Fix Committed
Andy Whitcroft (apw) wrote :

The official kernel with this fix has now hit -proposed. Could you test that and report back here so we can promote it to -updates as soon as possible.

Andy Whitcroft (apw) on 2016-02-26
tags: added: verification-needed-wily
andishock (andishock) wrote :

Works for me!
uname -a: Linux kubuntu-vm 4.2.0-30-generic #36-Ubuntu SMP Fri Feb 26 00:58:07 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Ulf (ulf-bremer) wrote :

works for me:
Linux ubr-vm 4.2.0-30-generic #36-Ubuntu SMP Fri Feb 26 00:58:07 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=15.10
DISTRIB_CODENAME=wily
DISTRIB_DESCRIPTION="Ubuntu 15.10"

tags: added: verification-done-wily
removed: verification-needed-wily
tags: removed: performing-bisect

For the record: The problem kernel version is (4.2.0-30.35). The fixed kernel version is (4.2.0-30.36).

summary: - Ubuntu 15.10 VMWare guest won't show UI after upgrading to 4.2.0-30
+ Ubuntu 15.10 VMWare guest won't show UI after upgrading to 4.2.0-30.35

We're now aware that this problem affects Ubuntu Trusty 14.04 as well (the problem occurs in 3.19.0-51.57), and we'll be deploying the fix for that as soon as possible. No additional problem reports or logs are needed at this time.

summary: - Ubuntu 15.10 VMWare guest won't show UI after upgrading to 4.2.0-30.35
+ Ubuntu 14.04/15.10 VMWare guest won't show UI after upgrading to
+ 4.2.0-30.35 or 3.19.0-51.57
Changed in linux (Ubuntu Trusty):
assignee: nobody → Kamal Mostafa (kamalmostafa)
importance: Undecided → High
status: Invalid → In Progress
Changed in linux-lts-wily (Ubuntu):
status: Invalid → In Progress
assignee: nobody → Kamal Mostafa (kamalmostafa)
no longer affects: linux-lts-wily (Ubuntu Wily)
Changed in linux-lts-wily (Ubuntu):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.2.0-30.36

---------------
linux (4.2.0-30.36) wily; urgency=high

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1550037

  [ Upstream Kernel Changes ]

  * drm/vmwgfx: Fix an fb unlocking bug
    - LP: #1548587

 -- Kamal Mostafa <email address hidden> Thu, 25 Feb 2016 15:02:05 -0800

Changed in linux (Ubuntu Wily):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

no longer affects: linux-lts-wily (Ubuntu Vivid)
Changed in linux (Ubuntu Vivid):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Kamal Mostafa (kamalmostafa)
no longer affects: linux (Ubuntu Trusty)

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-lts-vivid (Ubuntu):
status: New → Confirmed
raptis (raptisst) wrote :

I installed a fresh copy of Ubuntu 14.04.4 64-bit as a guest VM in VMWare Workstation 12.1.0.

After installation, I log into the system. Ran the updater and install the latest updates.

After installing the updates and restarting, the system could not log in

Ubuntu 14.04 VMWare guest can not log in after last update

Same goes with not being able to get to the login screen on VMware ESXi 6.0. Ubuntu 14.04 with the latest kernel -62 gets stuck.

Changed in linux-lts-utopic (Ubuntu):
status: New → In Progress
assignee: nobody → Kamal Mostafa (kamalmostafa)
Changed in linux-lts-vivid (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Kamal Mostafa (kamalmostafa)
Changed in linux-lts-utopic (Ubuntu):
importance: Undecided → High
Changed in linux-lts-vivid (Ubuntu):
importance: Undecided → High
Adam Conrad (adconrad) on 2016-02-26
Changed in linux-lts-utopic (Ubuntu Trusty):
assignee: nobody → Kamal Mostafa (kamalmostafa)
Changed in linux-lts-vivid (Ubuntu Trusty):
assignee: nobody → Kamal Mostafa (kamalmostafa)
importance: Undecided → High
Changed in linux-lts-utopic (Ubuntu Trusty):
importance: Undecided → High
Changed in linux-lts-utopic (Ubuntu):
status: In Progress → Invalid
Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → In Progress
Changed in linux-lts-vivid (Ubuntu):
status: In Progress → Invalid
Changed in linux-lts-vivid (Ubuntu Trusty):
status: New → Incomplete
status: Incomplete → In Progress
Changed in linux-lts-wily (Ubuntu):
status: In Progress → Invalid
Changed in linux (Ubuntu):
status: In Progress → Invalid
summary: - Ubuntu 14.04/15.10 VMWare guest won't show UI after upgrading to
- 4.2.0-30.35 or 3.19.0-51.57
+ Ubuntu VMWare guest won't show UI after upgrading to 4.2.0-30.35,
+ 3.19.0-51.57, 3.16.0-62.82~14.04.1
summary: Ubuntu VMWare guest won't show UI after upgrading to 4.2.0-30.35,
- 3.19.0-51.57, 3.16.0-62.82~14.04.1
+ 3.19.0-51.57, 3.16.0-62.82
James Simas (j-simas) wrote :

Confirmed to resolve my issue with 15.10. Thanks!

simas@ubdsk01:~$ uname -a
Linux ubdsk01 4.2.0-30-generic #36-Ubuntu SMP Fri Feb 26 00:58:07 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Changed in linux (Ubuntu Vivid):
status: In Progress → Fix Committed
Changed in linux-lts-utopic (Ubuntu Trusty):
status: In Progress → Fix Committed
Changed in linux-lts-vivid (Ubuntu Trusty):
status: In Progress → Fix Committed
Changed in linux-lts-wily (Ubuntu Trusty):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.19.0-51.58

---------------
linux (3.19.0-51.58) vivid; urgency=high

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1550511

  [ Upstream Kernel Changes ]

  * drm/vmwgfx: Fix an fb unlocking bug
    - LP: #1548587

 -- Kamal Mostafa <email address hidden> Fri, 26 Feb 2016 12:22:50 -0800

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-utopic - 3.16.0-62.83~14.04.1

---------------
linux-lts-utopic (3.16.0-62.83~14.04.1) trusty; urgency=high

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1550554

  [ Upstream Kernel Changes ]

  * drm/vmwgfx: Fix an fb unlocking bug
    - LP: #1548587

 -- Kamal Mostafa <email address hidden> Fri, 26 Feb 2016 14:21:01 -0800

Changed in linux-lts-utopic (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-vivid - 3.19.0-51.58~14.04.1

---------------
linux-lts-vivid (3.19.0-51.58~14.04.1) trusty; urgency=high

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1550511

  [ Upstream Kernel Changes ]

  * drm/vmwgfx: Fix an fb unlocking bug
    - LP: #1548587

 -- Kamal Mostafa <email address hidden> Fri, 26 Feb 2016 12:22:50 -0800

Changed in linux-lts-vivid (Ubuntu Trusty):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-wily - 4.2.0-30.36~14.04.1

---------------
linux-lts-wily (4.2.0-30.36~14.04.1) trusty; urgency=high

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1550410

  [ Upstream Kernel Changes ]

  * drm/vmwgfx: Fix an fb unlocking bug
    - LP: #1548587

 -- Kamal Mostafa <email address hidden> Thu, 25 Feb 2016 15:02:05 -0800

Changed in linux-lts-wily (Ubuntu Trusty):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released

Fixed my issue with 14.04.4. Thanks!

Paul (prowla) wrote :

Thanks for putting in the effort to fix this - I'll check my VMs and report back...

Lieuwe Jan Koning (koning) wrote :

Thanks, fix works for me. (ESX 5.5 with VMware Horizon View 6.1.1.)

This is public generally available via apt now? No special repo correct?

> On Feb 27, 2016, at 5:58 PM, Lieuwe Jan Koning <email address hidden> wrote:
>
> Thanks, fix works for me. (ESX 5.5 with VMware Horizon View 6.1.1.)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1548587
>
> Title:
> Ubuntu VMWare guest won't show UI after upgrading to 4.2.0-30.35,
> 3.19.0-51.57, 3.16.0-62.82
>
> Status in linux package in Ubuntu:
> Invalid
> Status in linux-lts-utopic package in Ubuntu:
> Invalid
> Status in linux-lts-vivid package in Ubuntu:
> Invalid
> Status in linux-lts-wily package in Ubuntu:
> Invalid
> Status in linux-lts-utopic source package in Trusty:
> Fix Released
> Status in linux-lts-vivid source package in Trusty:
> Fix Released
> Status in linux-lts-wily source package in Trusty:
> Fix Released
> Status in linux source package in Vivid:
> Fix Released
> Status in linux source package in Wily:
> Fix Released
>
> Bug description:
> I installed a fresh copy of Ubuntu 15.10 64-bit as a guest VM in
> VMWare Workstation 12.1.0.
>
> After installation, I am able to log into the system. I then ran the
> updater application to install the latest updates.
>
> After installing the updates and restarting, the system no longer
> shows any UI after booting. I am now faced with a black screen and a
> dash that does not blink. The system also does not respond to any
> inputs.
>
> I was able to get back into my system by holding shift to show the
> GRUB menu and boot using the 4.2.16 kernel.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1548587/+subscriptions

sunweb (sunweb) wrote :

Fix didn't work for me.
No VMs, just a notebook with Intel and AMD graphics. I can't even boot properly.
"gpu-manager blocked for more than 120 seconds" After this message appears in console even tty1 won't work. Using 4.2.0-27 boots fine.

Tim Lunn (darkxst) wrote :

sunweb see comment #45 above, you should file a new bug, since this bug is specifically about Vmware guests.

vito villa (vitovilla) wrote :

Thanks guys.
This fixed the issue for me and now the update to the latest kernel version allowed me to get into the vm-machine.
However, I still notice that during the boot, I see the red message "Failed to load kernel modules".
Don't know it is related to the same bug.
Have a good day.

@kamalmostafa

> This bug report (#1548587) will ONLY be used to track the problem relating to "VMWare won't show UI"!

Thanks for highlighting that - I found my (non-VMWare) issue at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1548867

V'ger (vigor28) wrote :

when upgrading from 12.04.5 LTS to 14.04 after successful install you must reboot and there is a blank screen on VMware 5.5.0 enterprise (Vcenter server 5.5.0).
VM hangs and only solution is to revert to snapshot (if any :D) regardless open-vm-tools or Vmware tools in use (installed).

Tried on total of 4 different VM

Pieter Ennes (skion) wrote :

Can confirm that this issue was fixed in 4.2.0-30.36, but it seems to be back again in the recent update to 4.2.0-32.37. Anyone else seeing that?

V'ger (vigor28) wrote :

yes. it the same issue again. tried today with two diferent virtual servers (32bit). Upgrade went without single error and after reboot (to finish upgrade) VM is black screen-unresponsive to any commands

Patrick Hulin (phulin) wrote :

I am seeing this issue as well, attempting a fresh install of 16.04 on VMware Workstation (latest) on Ubuntu.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers